Blog of Raivo Laanemets

Stories about web development, freelancing and personal computers.

Announcement: Blog-Core 0.0.7


Blog-Core framework version 0.0.7 has been released. It contains dependency upgrade which breaks backwards compatibility. The docstore pack contained potentially dangerous predicates such as ds_get/2 and ds_remove/1 which operated on raw identifiers without taking the document collection into account. This has been fixed now although it breaks all queries that use these predicates. The migration quide is in the docstore Changelog in the README file.

The upgrade was part of my plan to release Blog-Core 1.0 one day. There are no more compatibility-breaking changes planned.


Comments

No comments have been added so far.

Email is not displayed anywhere.
URLs (max 3) starting with http:// or https:// can be used. Use @Name to mention someone.